#include <QFile>
#include <QImage>
#include <QImageReader>

#include "util.h"

QString imageInfo( char* file, QSize size )
{
	QString result;
	result += file;
	result += ": ";
	result += QImageReader::imageFormat( file ).toUpper();
	result += " image, ";
	result += QString::number( size.width() );
	result += "x";
	result += QString::number( size.height() );
	result += " pixels, ";
	unsigned int b = QFile( file ).size();
	if ( b < 512 )
	{
		result += QString::number( b, 'G', 3 );
		result += " bytes";
	}
	else if ( b < 524288 )
	{
		result += QString::number( b / 1024.0, 'G', 3 );
		result += " kb";
	}
	else
	{
		result += QString::number( b / 1048576.0, 'G', 3 );
		result += " Mb";
	}

	return result;
}
